healpy (1.18.0-1build2) plucky; urgency=medium

  * No-change rebuild with Python 3.13 only

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 04 Mar 2025 15:49:02 +0000

healpy (1.18.0-1build1) plucky; urgency=medium

  * No-change rebuild against python3-numpy2-abi0

 -- Graham Inggs <ginggs@ubuntu.com>  Fri, 31 Jan 2025 09:36:12 +0000

healpy (1.18.0-1) unstable; urgency=medium

  * New upstream release. Closes: #1079675
  * Rediff patches.
  * Update Standards-Version to 4.7.0.

 -- Leo Singer <leo.singer@ligo.org>  Thu, 05 Dec 2024 22:39:47 -0500

healpy (1.16.6-2) unstable; urgency=medium

  * Team upload.
  * d/rules: skip two doctests on i386 due to minute rounding errors.
  * d/control: pkg-config is now pkgconf.
  * t/tests/python3-healpy: always skip the 2 broken doctests from
    above.
  * Build-Depends: s/dh-python/dh-sequence-python3/ (routine-update)
  Use secure URI in Homepage field.

 -- Michael R. Crusoe <crusoe@debian.org>  Thu, 28 Mar 2024 13:35:19 +0100

healpy (1.16.6-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 1.16.6. Closes: #1056805
  * Rediff patches
  * Push Standards-Verson to 4.6.2. No changes needed.
  * Replace Upstream-Source with Source in d/copyright
  * Remove leading slash in d/install
  * Add new python3-setuptools-scm build dependency

 -- Ole Streicher <olebole@debian.org>  Wed, 27 Dec 2023 17:54:47 +0100

healpy (1.16.1-1) unstable; urgency=medium

  * New upstream version 1.16.1
  * Push Standards-Version to 4.6.1. No changes needed.
  * Remove unneeded python3-six build dependency
  * Import setuptools before distutils setuptools for Cython compatibility
    (Closes: #1022486)

 -- Ole Streicher <olebole@debian.org>  Tue, 01 Nov 2022 15:44:46 +0100

healpy (1.15.0-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster:
    + Build-Depends: Drop versioned constraint on python3-numpy.

  [ Leo Singer ]
  * Depend on libhealpix-cxx-dev >= 3.80.0-4.

 -- Leo Singer <leo.singer@ligo.org>  Thu, 28 Oct 2021 20:03:37 -0400

healpy (1.15.0-1) unstable; urgency=medium

  * New upstream release.
  * Update debian/watch format version.
  * Set Rules-Requires-Root to no.
  * Rediff patches.
  * Depend on libhealpix-cxx-dev >= 3.80.0.

 -- Leo Singer <leo.singer@ligo.org>  Thu, 19 Aug 2021 11:26:39 -0400

healpy (1.14.0-1) unstable; urgency=medium

  * New upstream release.
  * Rediff patches and remove patches which have been incorporated
    upstream.
  * Update Standards-Version to 4.5.0.

 -- Leo Singer <leo.singer@ligo.org>  Fri, 24 Jul 2020 15:51:57 -0400

healpy (1.13.0-4) unstable; urgency=medium

  * Update debhelper compat to 13.

 -- Leo Singer <leo.singer@ligo.org>  Sat, 18 Jul 2020 11:07:00 -0400

healpy (1.13.0-3) unstable; urgency=medium

  * Fix FTBS on i386 due to floating point precision issues.

 -- Leo Singer <leo.singer@ligo.org>  Thu, 09 Jul 2020 18:25:32 -0400

healpy (1.13.0-2) unstable; urgency=medium

  * Add patch to fix const correctness issue that caused Healpy to
    FTBS (Closes: #964655).

 -- Leo Singer <leo.singer@ligo.org>  Thu, 09 Jul 2020 09:58:00 -0400

healpy (1.13.0-1) unstable; urgency=medium

  * New upstream release (LP: #1839344).
  * Update Standards-Version to 4.4.1.
  * Update to debhelper 12.
  * Add build dependency on libsharp-dev.
  * Update build dependency libhealpix-cxx to 3.60.0.
  * Remove obsolete X-Python3-Verson specification.
  * Fix deprecated $ADTTMP environment variable in CI tests.

 -- Leo Singer <leo.singer@ligo.org>  Fri, 03 Jan 2020 11:34:34 -0500

healpy (1.12.8-8) unstable; urgency=medium

  * Add patch to make unit tests at degenerate pixel intersections
    reproducible on i386.
  * Enable building for all architectures including i386.
  * Remove dummy transitional python-healpy-data package.

 -- Leo Singer <leo.singer@ligo.org>  Thu, 24 Jan 2019 10:19:49 -0500

healpy (1.12.8-7) unstable; urgency=medium

  * Disable link time optimization because it breaks build
    reproducibility. Furthermore, gcc produces LTO debug info that
    crashes gdb (https://gcc.gnu.org/bugzilla/show_bug.cgi?id=87362).

 -- Leo Singer <leo.singer@ligo.org>  Wed, 23 Jan 2019 15:28:44 -0500

healpy (1.12.8-6) unstable; urgency=medium

  * Build for arm64.

 -- Leo Singer <leo.singer@ligo.org>  Sun, 20 Jan 2019 10:23:44 -0500

healpy (1.12.8-5) unstable; urgency=medium

  * Update Standards-Version to 4.3.0.
  * Build for any architecture except for i386.

 -- Leo Singer <leo.singer@ligo.org>  Sat, 19 Jan 2019 23:04:02 -0500

healpy (1.12.8-4) experimental; urgency=medium

  * Patch a doctest to workaround a Numpy string formatting bug that
    appears on armhf.
  * Patch to fix incorrect data types in pixel ufuncs on 32-bit
    platforms.

 -- Leo Singer <leo.singer@ligo.org>  Sat, 19 Jan 2019 00:51:41 -0500

healpy (1.12.8-3) experimental; urgency=medium

  * Enable binary builds for any platform.

 -- Leo Singer <leo.singer@ligo.org>  Fri, 21 Dec 2018 00:02:41 -0500

healpy (1.12.8-2) unstable; urgency=medium

  * Pick up libhealpix-cxx dependency automatically from shlibdeps.

 -- Leo Singer <leo.singer@ligo.org>  Sun, 16 Dec 2018 05:36:43 -0500

healpy (1.12.8-1) unstable; urgency=medium

  * New upstream release.
  * Update Standards-Version to 4.2.1.
  * Remove Python 2 package.
  * Rediff patches.
  * Remove a file that was generated by the unit tests and not meant
    to be installed (https://github.com/healpy/healpy/pull/519).

 -- Leo Singer <leo.singer@ligo.org>  Sun, 09 Dec 2018 01:47:35 -0500

healpy (1.12.4-4) unstable; urgency=medium

  * Remove workaround for change in Numpy formatting due to upstream
    fix of regression (https://github.com/numpy/numpy/pull/11986).
    (Closes: 913757)

 -- Leo Singer <leo.singer@ligo.org>  Fri, 07 Dec 2018 15:30:00 -0500

healpy (1.12.4-3) unstable; urgency=medium

  * Patch unit test to set random seed so that it is reproducible.
    (Closes: #907908)

 -- Leo Singer <leo.singer@ligo.org>  Tue, 04 Sep 2018 10:54:46 -0400

healpy (1.12.4-2) unstable; urgency=medium

  * Increase tolerance for failing test on arm64, ppc64el

 -- Leo Singer <leo.singer@ligo.org>  Mon, 27 Aug 2018 13:55:48 -0400

healpy (1.12.4-1) unstable; urgency=medium

  * New upstream release.

 -- Leo Singer <leo.singer@ligo.org>  Sun, 26 Aug 2018 14:28:58 -0400

healpy (1.12.3-2) unstable; urgency=medium

  * Depend on astropy, matplotlib, and scipy.
    These modules all must be present in order to import healpy.

 -- Leo Singer <leo.singer@ligo.org>  Thu, 16 Aug 2018 18:05:46 -0400

healpy (1.12.3-1) unstable; urgency=medium

  * New upstream release.
  * Rediff patches.
  * Skip unit tests that require downloading external data.
  * Skip unit test that fails due to missing package data
    (see https://github.com/healpy/healpy/pull/458)
  * Depend on lastest version of healpix-cxx for ABI compatibility.
  * Rebuild C++ files from Cython sources.
    This is required for Python 3.7 since the API changed a bit.
    (Closes: 905615)

 -- Leo Singer <leo.singer@ligo.org>  Thu, 16 Aug 2018 15:42:05 -0400

healpy (1.11.0-1) unstable; urgency=medium

  * New upstream release.
  * Rediff patches.
  * Add new build dependencies for unit tests:
    pytest-runner, pytest-cython.

 -- Leo Singer <leo.singer@ligo.org>  Sun, 03 Jun 2018 22:58:54 -0400

healpy (1.10.3-5) unstable; urgency=medium

  * Fix precision of doctest for non-amd64 architectures.

 -- Leo Singer <leo.singer@ligo.org>  Wed, 23 May 2018 02:54:22 -0400

healpy (1.10.3-4) unstable; urgency=medium

  * Fix lintian warning:
    global-files-wildcard-not-first-paragraph-in-dep5-copyright
  * Run doctests.
  * Add workaround in numpy.ma.masked_values in Numpy 1.14.0,
    which should be fixed in Numpy 1.15.0. See also
    <https://github.com/numpy/numpy/issues/11112>.

 -- Leo Singer <leo.singer@ligo.org>  Wed, 23 May 2018 01:19:27 -0400

healpy (1.10.3-3) unstable; urgency=medium

  * Update Standards-Version to 4.1.4.
  * Update to debhelper 11.
  * Rename python-healpy-data to healpy-data.
  * Fix lintian warning: insecure-copyright-format-uri.
  * Apply patch from upstream to fix doctest failures due to
    changes in Numpy string representation of arrays.
  * Move Debian package source to salsa.debian.org.

 -- Leo Singer <leo.singer@ligo.org>  Sun, 20 May 2018 17:36:57 -0400

healpy (1.10.3-2) unstable; urgency=medium

  * No-change rebuild against latest g++ ABI (Closes: #793248)

 -- Leo Singer <leo.singer@ligo.org>  Mon, 23 Jan 2017 12:43:51 -0500

healpy (1.10.3-1) unstable; urgency=medium

  * Fix CI test failures due to typo in doctest.
  * New upstream release.

 -- Leo Singer <leo.singer@ligo.org>  Thu, 29 Dec 2016 09:37:51 -0500

healpy (1.10.2-1) unstable; urgency=medium

  * Fix "FTBFS: Test failures" with new upstream version
    (Closes: #848775)
  * Add multi-arch properties.

 -- Leo Singer <leo.singer@ligo.org>  Tue, 20 Dec 2016 15:33:03 -0500

healpy (1.10.1-2) unstable; urgency=medium

  * Fix wrong e-mail in changelog.

 -- Leo Singer <leo.singer@ligo.org>  Tue, 15 Nov 2016 12:09:02 -0500

healpy (1.10.1-1) unstable; urgency=medium

  * New upstream version.
  * Moved packaging to git.

 -- Leo Singer <leo.singer@ligo.org>  Tue, 08 Nov 2016 19:12:16 -0500

healpy (1.9.1-4) unstable; urgency=medium

  * Remove matplotlibrc file in dh_clean phase.
  * Enable build hardening.
  * Add versioned dependency on libhealpix-cxx0.

 -- Leo Singer <leo.singer@ligo.org>  Sat, 03 Sep 2016 19:39:30 -0400

healpy (1.9.1-3) unstable; urgency=medium

  * Change maintainer from Debian Science Team to Debian Astro Team.
  * Enable link-time optimization.
  * Depend on libcfitsio-dev instead of transitional libcfitsio3-dev package.
    (Closes: #761711)
  * Add continuous integration testing.

 -- Leo Singer <leo.singer@ligo.org>  Sun, 29 May 2016 14:10:26 -0400

healpy (1.9.1-2) unstable; urgency=medium

  * Adjust dh_fixperms override so that it only affects architecture-
    independent packages. This should fix autobuilding of non-amd64
    architectures.
  * Add missing build dependency on dh-python.

 -- Leo Singer <leo.singer@ligo.org>  Mon, 23 May 2016 10:51:25 -0400

healpy (1.9.1-1) unstable; urgency=medium

  * New upstream release.
  * Remove unnecessary pydist-overrides file.
  * Fix permissions on data files.
  * Move platform-independent data files into a new package,
    python-healpy-data.
  * Fix "FTBFS: ValueError: Header update sequence item #0 is invalid;
    the item must either be a 2-tuple containing a keyword and value, or
    a 3-tuple containing a keyword, value, and comment string." This was
    fixed by the new upstream release. (Closes: #813781)
  * Make sure that no Python bytecode is written when running unit
    tests (fixes a Lintian package-installs-python-pycache-dir warning)
  * Fix broken debian/watch file due to PyPI API changes.

 -- Leo Singer <leo.singer@ligo.org>  Thu, 19 May 2016 19:13:07 -0400

healpy (1.8.1-1) unstable; urgency=medium

  * New upstream release.
  * Add new dependency on python-six.
  * Enable unit tests.
  * Restrict to 64-bit architectures. The unit tests only pass on 32-bit
    architectures because they are limited by Numpy's index type.
    See upstream issue https://github.com/healpy/healpy/issues/194
  * Use canonical VCS server svn://anonscm.debian.org/. See
    http://lintian.debian.org/tags/vcs-field-not-canonical.html

 -- Leo Singer <leo.singer@ligo.org>  Sun, 22 Jun 2014 11:28:11 -0700

healpy (1.7.4-2) unstable; urgency=medium

  * Added cfitsio/zlib to debian/copyright.

 -- Leo Singer <leo.singer@ligo.org>  Wed, 23 Apr 2014 12:37:47 -0700

healpy (1.7.4-1) unstable; urgency=low

  * New upstream version.
  * Correct watch file to skip upstream pre-releases.
  * Fine-tune debian/copyright.

 -- Leo Singer <leo.singer@ligo.org>  Wed, 26 Feb 2014 16:53:45 -0800

healpy (1.7.3-2) unstable; urgency=low

  * Update standards version to 3.9.5.
  * Add build-depends on autotools-dev to update outdated files.
  * Add watch file.

 -- Leo Singer <leo.singer@ligo.org>  Sun, 09 Feb 2014 11:13:06 -0800

healpy (1.7.3-1) UNRELEASED; urgency=low

  * Initial release (Closes: #737272).
  * source package automatically created by stdeb 0.6.0+git
  * silenced some warnings by adding a pydist-overrides file
  * add Numpy ABI dependency by running dh_numpy
  * depend on healpix-cxx >= 3.11
  * update to debhelper 9
  * depend on python-setuptools >= 0.6.14 for compatibility with Squeeze

 -- Leo Singer <leo.singer@ligo.org>  Mon, 27 Jan 2014 15:25:17 -0800
